%define libname_devel %mklibname -d gnu-efi

Summary: Development Libraries and headers for EFI
Name: gnu-efi
Version: 3.0.3
Release: %mkrel 1
Group: Development/Other
License: BSD 
URL: http://gnu-efi.sourceforge.net/
ExclusiveArch: %ix86 x86_64 ia64 aarch64
Source: http://superb-dca2.dl.sourceforge.net/project/gnu-efi/gnu-efi-%{version}.tar.bz2
Patch0001: 0001-Add-the-missing-URI-device-path-to-the-unions.patch
Patch0002: 0002-From-Pete-Batard-pete-akeo.ie.patch
Patch0003: 0003-From-Pete-Batard-pete-akeo.ie.patch
Patch0004: 0004-From-Julian-Andres-Klode-jak-debian.org.patch
Patch0005: 0005-From-Ard-Biesheuvel-ard.biesheuvel-linaro.org.patch
Patch0006: 0006-From-Ard-Biesheuvel-ard.biesheuvel-linaro.org.patch
Patch0007: 0007-From-Ard-Biesheuvel-ard.biesheuvel-linaro.org.patch
Patch0008: 0008-From-Ard-Biesheuvel-ard.biesheuvel-linaro.org.patch
Patch0009: 0009-arm-fix-linker-script-for-building-efi-binaries.patch
Patch0010: 0010-Explicitly-place-our-build-id-notes-on-all-arches.patch

%define debug_package %{nil}

%ifarch x86_64
%global efiarch x86_64
%endif
%ifarch aarch64
%global efiarch aarch64
%endif
%ifarch %{arm}
%global efiarch arm
%endif
%ifarch %{ix86}
%global efiarch ia32
%endif


%description
This package contains development headers and libraries for developing
applications that run under EFI (Extensible Firmware Interface).

%package -n %{libname_devel}
Summary: Development Libraries and headers for EFI
Provides: %{name}-devel = %{version}-%{release}
Obsoletes: %{name}-devel < 3.0q-3

%description -n %{libname_devel}
This package contains development headers and libraries for developing
applications that run under EFI (Extensible Firmware Interface).

%prep
%setup -q -n gnu-efi-%{version}
%autopatch -p1

%build
# Package cannot build with %{?_smp_mflags}.
make
make apps

%install
mkdir -p %{buildroot}/%{_libdir}

make PREFIX=%{_prefix} LIBDIR=%{_libdir} INSTALLROOT=%{buildroot} install

mkdir -p %{buildroot}/%{_libdir}/gnuefi
mv %{buildroot}/%{_libdir}/*.lds %{buildroot}/%{_libdir}/*.o %{buildroot}/%{_libdir}/gnuefi

# (cg) We differ from Fedora in that we only install to known locations and copy
# to the EFI partition when needed - packaging stays away from /boot/
mkdir -p %{buildroot}%{_libdir}/gnuefi/images
mv %{efiarch}/apps/{route80h.efi,modelist.efi} %{buildroot}%{_libdir}/gnuefi/images

%files -n %{libname_devel}
%doc README.* ChangeLog
%{_includedir}/efi
%{_libdir}/*



%changelog
* Tue May 10 2016 tv <tv> 3.0.3-1.mga6
+ Revision: 1012151
- new release

* Thu Jan 28 2016 umeabot <umeabot> 3.0w-3.mga6
+ Revision: 928492
- Mageia 6 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.0w-2.mga5
+ Revision: 679803
- Mageia 5 Mass Rebuild

* Mon Sep 01 2014 pterjan <pterjan> 3.0w-1.mga5
+ Revision: 670790
- 3.0w
- add Fedora patch fixing build

* Sun Oct 27 2013 pterjan <pterjan> 3.0u-2.mga4
+ Revision: 547349
- Rebuild as it passed through mass rebuild

* Sun Aug 11 2013 pterjan <pterjan> 3.0u-1.mga4
+ Revision: 465574
- Update to 3.0u
- Update URL/Source to sourceforge
- Drop all patches (already upstream)

  + colin <colin>
    - Use Mageia library policy for devel package
    - Add various patches from fedora
    - Add new EFI binaries (not directly installed to ESP)

* Sat Jan 12 2013 umeabot <umeabot> 3.0q-2.mga3
+ Revision: 352329
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 12 2012 pterjan <pterjan> 3.0q-1.mga3
+ Revision: 329941
- imported package gnu-efi

